This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 679912 - [RV530] [KMS:X1600M] macbookpro gnome-shell does not start on radeon mobility X1600
[RV530] [KMS:X1600M] macbookpro gnome-shell does not start on radeon mobility...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
15
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-23 15:28 EST by Ralph Giles
Modified: 2012-08-07 12:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:27:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (321 bytes, text/plain)
2011-02-25 00:07 EST, Ralph Giles
no flags Details
Xorg.0.log (41.37 KB, text/plain)
2011-02-25 00:07 EST, Ralph Giles
no flags Details
dmesg-output (124.09 KB, text/plain)
2011-02-25 00:09 EST, Ralph Giles
no flags Details
messages_20110225 (317.83 KB, text/plain)
2011-02-25 00:13 EST, Ralph Giles
no flags Details

  None (edit)
Description Ralph Giles 2011-02-23 15:28:36 EST
Description of problem:

Booting a LiveCD on an older Macbook Pro with an Radeon Mobility X1600 gpu, I got the fallback gnome-panel instead of gnome-shell, even though this chip supports the necessary features and has had good 3D and compositor support with the radeon driver in previous releases.

Running 'gnome-shell --replace' from a terminal window results in 'Shell killed with signal 11' and no window manager.

Version-Release number of selected component (if applicable):

I'm using gfx_test_week_20110221_i368.iso

How reproducible:

Always

Steps to Reproduce:
1. Boot live CD with default options
2. Click 'login'
3. Observe desktop
  
Actual results:

I get a background wallpaper and a Gnome 2 panel (mis-themed) with typical menu, applets, pager, etc.

Expected results:

Shiny Gnome 3 desktop.

Additional info:

Card is ATI Technologies Inc M56P [Radeon Mobility X1600] [1002:71c5]

After login, gnome-panel is running, gnome-shell and nautilus are not.
Comment 1 Matěj Cepl 2011-02-24 18:38:31 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ralph Giles 2011-02-25 00:07:05 EST
Created attachment 480921 [details]
xorg.conf

There was now /etc/X11/xorg.conf. This file was the sole entry in /etc/x11/xorg.conf.d/ as 00-system-setup-keyboard.conf
Comment 3 Ralph Giles 2011-02-25 00:07:53 EST
Created attachment 480922 [details]
Xorg.0.log
Comment 4 Ralph Giles 2011-02-25 00:09:42 EST
Created attachment 480923 [details]
dmesg-output
Comment 5 Ralph Giles 2011-02-25 00:13:10 EST
Created attachment 480924 [details]
messages_20110225

Copy of /var/log/messages
Comment 6 Dave Airlie 2011-03-19 04:51:16 EDT
can you retry with a later CD, it should be working fine, I think the detection sw was broken.
Comment 7 Ralph Giles 2011-03-21 18:46:35 EDT
I tried with 'Fedora-15-Alpha-i686-Live-Desktop.iso' sha1 9d8bbb62fc9fc3e497cd00fe3134521ef0ef4f7c and got fallback again.

There's a note in .xsession-errors:

gnome-session[1454]: WARNING: Had to kill '/usr/libexec/gnome-session-is-accelerated' helper

Running /usr/libexec/gnome-session-is-accelerated manually from the terminal after start-up promptly returns '0' (true).

Was there a newer image I should try?
Comment 8 Jerome Glisse 2011-03-29 17:26:30 EDT
Can you try one from feb 25
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/test/15-Alpha/Live/i686/

It works here on X1950, thought maybe the fact that this is a mac and with no atombios or buggy one might come into play here
Comment 9 Ralph Giles 2011-03-29 17:59:42 EDT
The Alpha Live CD from February 25 (Feb 26 at the link you give) is the one I used in Comment 7.

$ sha256sum *.iso
7e53e4b9ad58f996a8c0e8ab890b58def77070b5ddafd63648dfd6190644d4e1  Fedora-15-Alpha-i686-Live-Desktop.iso

which matches http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/test/15-Alpha/Live/i686/Fedora-15-Alpha-i686-Live-CHECKSUM
Comment 10 Fedora End Of Life 2012-08-07 12:28:01 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.